package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * ClassSmsReceivedStatus generated by hbm2java
 */
@Entity
@Table(name="class_sms_received_status"
    ,schema="public"
    , uniqueConstraints = @UniqueConstraint(columnNames="value") 
)
public class ClassSmsReceivedStatus  implements java.io.Serializable {


     private long id;
     private String name;
     private String value;

    public ClassSmsReceivedStatus() {
    }

	
    public ClassSmsReceivedStatus(long id) {
        this.id = id;
    }
    public ClassSmsReceivedStatus(long id, String name, String value) {
       this.id = id;
       this.name = name;
       this.value = value;
    }
   
     @Id 

    
    @Column(name="id", unique=true, nullable=false)
    public long getId() {
        return this.id;
    }
    
    public void setId(long id) {
        this.id = id;
    }

    
    @Column(name="name")
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="value", unique=true)
    public String getValue() {
        return this.value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }




}


